Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Sprengen von, mit ssget ausgewählten Objekten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Sprengen von, mit ssget ausgewählten Objekten (984 mal gelesen)
ebla
Mitglied
Projektleiter, Admin


Sehen Sie sich das Profil von ebla an!   Senden Sie eine Private Message an ebla  Schreiben Sie einen Gästebucheintrag für ebla

Beiträge: 37
Registriert: 16.01.2012

Win7/64, ACAD2012/64

erstellt am: 25. Jan. 2012 05:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich versuche alle MTEXT bzw. Bemassungen in einer Zeichnung zu sprengen, habe jedoch keinen Erfolg.
(command "_explode" (ssget"X" '((0 . "MTEXT")))) bzw.
(command "_explode" (ssget"X" '((0 . "DIMENSION"))))
Kann mir einer sagen, woran es hängt?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 25. Jan. 2012 05:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ebla 10 Unities + Antwort hilfreich

Hallo ebla,

das war schon öfter Thema: Du kannst mit (command "_explode" ..) immer nur ein Element zerlegen.
Du findest hier im Forum bestimmt passenden Code.
Bei Fragen ...

Grüße!
Holger

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.

   
defun-tools Das Download-Portal für AutoCAD-Zusatzprogramme!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 25. Jan. 2012 08:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ebla 10 Unities + Antwort hilfreich

wie ist es mit dem Einzeiler:

(mapcar '(lambda(X)(command "_explode" (cadr X)))(ssnamex (ssget "_x"
'((0 . "MTEXT")))))

?

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ebla
Mitglied
Projektleiter, Admin


Sehen Sie sich das Profil von ebla an!   Senden Sie eine Private Message an ebla  Schreiben Sie einen Gästebucheintrag für ebla

Beiträge: 37
Registriert: 16.01.2012

Win7/64, ACAD2012/64

erstellt am: 25. Jan. 2012 10:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas,

vielen Dank. Mit DIMENSION funktioniert das auch, jedoch nicht mit MTEXT (*Ungültige Auswahl*).
Wie kann ich es verhindern, dass eine Funktion vom User mit ESC abgebrochen werden kann, oder Abfragen, dass er es getan hat?

Gruß
Ernst

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 25. Jan. 2012 10:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ebla 10 Unities + Antwort hilfreich

das funktioniert auch mit MTexten ...  die soelten nur im aktuellen Layout sein, damit sie mittels command in Texte gewandelt werden können ...

d.h. besser ist

(mapcar '(lambda(X)(command "_explode" (cadr X)))(ssnamex (ssget "_x"
(list '(0 . "MTEXT")(cons 410 (getvar "CTAB"))))))

zur ESC - Problematik .... entweder man programmiert entsprechend ... Eingaben mit and verknüpfen und wendet (vl-catch-all-apply .. an .... bei ESC innerhalb von commands hilft ein command-reaktor ..

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 25. Jan. 2012 10:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ebla 10 Unities + Antwort hilfreich

Mit DIMENSION funktioniert das auch, jedoch nicht mit MTEXT (*Ungültige Auswahl*).
Dann stimmt was in deiner Testumgebung nicht, Acad hätte damit kein Problem.
Im Textfenster(F2) steht zB wenn Objekte geunfen wurde aber auf gesperrten Layern liegen,
oder auch wenn keine Objekte gefunden wurden.. schau noch mal in Ruhe nach.

Wie kann ich es verhindern, dass eine Funktion vom User mit ESC abgebrochen werden kann,
oder Abfragen, dass er es getan hat? Der Abbruch wird doch im Normalfall gemacht wenn das
Programm eine Benutzereingabe fordert und an dieser Stelle kannst du ja die Rückgabe testen.

------------------
CAD.de System-Angaben  -  CAD on demand  -  User:FAQ(Acad)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ebla
Mitglied
Projektleiter, Admin


Sehen Sie sich das Profil von ebla an!   Senden Sie eine Private Message an ebla  Schreiben Sie einen Gästebucheintrag für ebla

Beiträge: 37
Registriert: 16.01.2012

Win7/64, ACAD2012/64

erstellt am: 25. Jan. 2012 10:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas,

das mit den MTEXTEN funktioniert jetzt auch (auch wenn mir die Befehlsfolgen noch zu hoch sind). 
Was meinst Du mit einem command-reaktor?
Ich würde gerne bei
(initget "Ja Nein")
(setq Abfrage (getkword "Soll eine Konvertierung in METER erfolgen? [Ja/Nein] <Nein>:"))
(if (not Abfrage) (setq Abfrage "Nein"))
das Verlassen der Abfrage mit ESC abfangen, da das ja unschön aussieht, wenn einfach nur die Funktion abbricht.

Danke.
Ernst

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 25. Jan. 2012 11:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ebla 10 Unities + Antwort hilfreich

mal ein mögliches Codefragment

(if(and(or(initget "Ja Nein")'T)     
      (or(not(vl-catch-all-error-p
                (setq ABFRAGE(vl-catch-all-apply
                                'getkword (list "Soll eine Konvertierung in METER erfolgen? [Ja/Nein] <Nein>:")
                              )
                )
              ) 
          )
          (prompt "\nAbbruch durch Nutzer..")
      ) 
      (= Abfrage "Ja")     
  )
  (princ "\nKonvertierung.............")
)

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ebla
Mitglied
Projektleiter, Admin


Sehen Sie sich das Profil von ebla an!   Senden Sie eine Private Message an ebla  Schreiben Sie einen Gästebucheintrag für ebla

Beiträge: 37
Registriert: 16.01.2012

Win7/64, ACAD2012/64

erstellt am: 25. Jan. 2012 13:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas,

wieder mal Klasse. Danke.

Ernst

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz